Bug 218518 - editors/nano: Including syntax color files in /usr/local/share/nano results in Error: Bad regex
Summary: editors/nano: Including syntax color files in /usr/local/share/nano results i...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-10 03:27 UTC by mark burdett
Modified: 2017-04-13 16:48 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mark burdett 2017-04-10 03:27:15 UTC
Including the syntax coloring files in /usr/local/share/nano results in Error: Bad regex: Invalid character class name
Comment 1 Danilo Egea Gondolfo freebsd_committer 2017-04-11 13:14:47 UTC
This problem was fixed upstream. Another user sent me a patch to editors/nano that fix it. Can you test, please?

https://github.com/guyyur/freebsd-ports_patches/blob/master/editors_nano__bad_regex.patch
Comment 2 mark burdett 2017-04-11 15:54:00 UTC
Appears to be working perfectly again with the patch. Thanks!
Comment 3 J.R. Raith 2017-04-12 21:42:56 UTC
(In reply to Danilo Egea Gondolfo from comment #1)

I have also encountered this problem since updating to 2.8.0. I'm very new, so I'm sorry if this is a waste of your time, but I can't figure out how to apply that patch. I'd be happy to test it if I could figure out what to do, heh.

Will the patch end up in the nano port or pkg sometime soon?
Comment 4 commit-hook freebsd_committer 2017-04-13 14:09:44 UTC
A commit references this bug:

Author: danilo
Date: Thu Apr 13 14:09:30 UTC 2017
New revision: 438443
URL: https://svnweb.freebsd.org/changeset/ports/438443

Log:
  - Update to 2.8.1

  PR:		218518

Changes:
  head/editors/nano/Makefile
  head/editors/nano/distinfo
Comment 5 Danilo Egea Gondolfo freebsd_committer 2017-04-13 14:44:56 UTC
nano 2.8.1 is out. I've updated the port as well. Can you test, please?
Comment 6 J.R. Raith 2017-04-13 16:46:49 UTC
(In reply to Danilo Egea Gondolfo from comment #5)

After updating to 2.8.1, all seems well. Thanks for the update!
Comment 7 Danilo Egea Gondolfo freebsd_committer 2017-04-13 16:48:08 UTC
You are welcome ;)